MAXEYE Wi-SUN Measurement Suite Help

The MAXEYE Wi-SUN measurement suite contains LabVIEW VIs to generate standard complaint signals and perform measurements that confirm to IEEE standard 802.15.4g. Refer to the standard for the signal specifications and this document assumes that the user is familiar with the IEEE 802.15.4g standard specification. This document has information about the toolkit Labview API VIs to help engineers for programming.
The Hardware Requirements are NI PXI 5644R/5645R/5646R or NI PXI 5673E/5663E/5665,NI PXI 5672.
The Operating System Requirements are Windows 10/Windows 8/Windows 7 /Windows Vista/Windows XP with all available critical updates and service packs.
The Software Requirements are NI LabVIEW 2015 (32-bit), Full Development System or Professional Development System
•NI-RFmx SpecAn Version 2.1 or later
•NI Modulation Toolkit 15.1 or later version.
•NI PXIe-5644R/5645R Instrument Design Libraries 15.0
•NI RFSG 15.0.1 or later
•NI RFSA 15.1 or later
•Third Party Licensing & Activation Toolkit

____________________________________________________________________________________________________

For more information regarding this help please contact ramesh@maxeyetech.com


MaxEye Wi-SUN MR OFDM SA Configure SEM Offset Segments.vi

This VI configures the SEM Offset Segment properties. The SEM Offset Segment includes the following properties.

i. SEM Offset Segment Enabled
ii. Offset Frequency (Start, Stop and Sideband)
iii. RBW Filter Type and RBW
iv. Mask Limits both Absolute and Relative

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String

Offset Segments

Limit Fail Mask

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Wi-SUN Measurement Suite

For more details on this help, please write to us at
ramesh@maxeyetech.com


MaxEye Wi-SUN MR OFDM Fetch SEM Spectrum with Mask.vi

Returns the following.

i. Spectrum Trace
ii. Absolute Mask Trace
iii. Relative Mask Trace

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Spectrum

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM RFSA Measure.vi

This VI perfoms the following.

i. Checks the configuration parameters in the Zigbee OQPSK Analysis handle and returns an error if the configuration is not valid.
ii. Configures the NI RFSA properties based on the user configuration. For more details refer MaxEye ZigBee RFSA Configure Hardware.vi documentation.
iii. Initiates the Acquisition by calling niRFSA Initiate.vi.
iv. Performs Demodulation Measurements

instrument handle

Wi-SUN MR OFDM Analysis Handle In

timeout (sec)

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Wi-SUN Analyzer Parameter Arrays

instrument handle out

Wi-SUN MR OFDM Analysis Handle Out

Wi-SUN Analyzer Params

Complex Wave form

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye Wi-SUN MR OFDM SA Close Handle.vi

Closes the Wi-SUN MR OFDM Analysis Handle and resources associated with it.

Wi-SUN MR OFDM Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Fetch SEM Offset Segment Measurements.vi

Returns the Lower and Upper SEM offset segment measurements. The SEM offset segment measurements includes the following.

i. Total Absolotue Power
ii. Total Relative Power
iii. Peak Absolute Power
iv. Peak Relative Power
v. Peak Frequency
vi. Mask Margin
vii. Margin Absolute Power
viii. Margin Relative Power
ix. Margin Frequency
x. Measurement Status

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Lower Offset Segment Measurements

Upper Offset Segment Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Get Adjacent Channel Power.vi

Wi-SUN MR OFDM Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

Adjacent Channel Powers (dBm)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Get Channel Power.vi

Wi-SUN MR OFDM Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

Channel Power (dBm)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Get Spectral Mask Margin.vi

Wi-SUN MR OFDM Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

Spectral Mask Margin,dB

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Get Spectral Mask Trace.vi

Wi-SUN MR OFDM Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

Spectral Mask Trace

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Open Handle.vi

This VI creates Wi-SUN MR OFDM Analysis Handle with the default values and passes the handle to the later VIs.

Name Of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set ACP Bandwidths.vi

Wi-SUN MR OFDM Analysis Handle In

ACP Bandwidths (Hz)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set ACP Frequency Offsets.vi

Wi-SUN MR OFDM Analysis Handle In

ACP Frequency Offsets (Hz)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Acquisition Length, Seconds.vi

Configures the Acquisition Length, in seconds property in the Wi-SUN MR OFDM Signal Analysis handle. The toolkit computes the number of samples based on this value and configures the NI RFSA session.

The default value is 5 milliseconds.

Wi-SUN MR OFDM Analysis Handle In

Acquisition Length, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Averaging Enabled.vi

Configures the Averaging Enabled property in the Wi-SUN MR OFDM Signal Analysis handle. Set this property to True to average the measurements over number of iterations.

The default value is False.

Wi-SUN MR OFDM Analysis Handle In

Averaging Enabled Averaging Enabled enables averaging for digital demodulation measurement.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Averaging Mode.vi

Wi-SUN MR OFDM Analysis Handle In

Averaging Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Center Channel Bandwidth.vi

Wi-SUN MR OFDM Analysis Handle In

Center Channel Bandwidth (Hz)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Center Channel Frequency.vi

Wi-SUN MR OFDM Analysis Handle In

Center Channel Frequency

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Coding and Modulation Scheme.vi

This VI Configures the Modulation and Coding Scheme for the PHY Header. The Possible values are
BPSK 1/2 Rate 4x(4x frequency Spreading)
BPSK 1/2 Rate 2x(2x Frequency Spreading)
QPSK 1/2 Rate 2x(2x Frequency Spreading)
QPSK 1/2 Rate(No Frequency Spreading)
QPSK 3/4 Rate(No Frequency Spreading)
16 QAM 1/2 Rate(No Frequency Spreading)
16 QAM 3/4 Rate(No Frequency Spreading)

Wi-SUN MR OFDM Analysis Handle In

Modulation and Coding(PHR)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Interleaving Depth.vi

This VI Configures the Interleaving Depth

Wi-SUN MR OFDM Analysis Handle In

Interleaving Depth

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Measurement Mode.vi

Wi-SUN MR OFDM Analysis Handle In

Measurement Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Minimum Quiet Time, Seconds.vi

Configures the Minimum Quite Time property in the Wi-SUN MR OFDM Signal Analysis handle.

Specifies a time duration, in seconds, for which the signal must be quiet before the device arms the IQ Power Edge trigger. The signal is quiet when it is below the trigger level if the trigger slope, specified by the Reference Trigger IQ Power Edge Slope property, is set to Rising Slope or when it is above the trigger level if the trigger slope is set to Falling Slope.

By default, this value is set to 0, which means the device does not wait for a quiet time before arming the trigger. This property is useful to trigger the acquisition on signals containing repeated bursts, but for which each burst may have large changes in signal power within itself. By configuring the minimum quiet time to the time between bursts, you can ensure that the trigger occurs at the beginning of a burst rather than at a signal power change within a burst.

The default value is 0.

Wi-SUN MR OFDM Analysis Handle In

Minimum Quiet Time, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Number of Averages.vi

Configures the Number of Averages property of the Wi-SUN MR OFDM Signal Analysis handle. The measurement results are averaged over the number specified by Number of Averages.

Wi-SUN MR OFDM Analysis Handle In

Number of Averages specifies the Number of Averages. The measurement results are averaged over the number specified by Number of Averages.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Number of Frames or Bursts.vi

Configures the Number of Frames property in the Wi-SUN MR OFDM Signal Analysis handle. Configure this property when multiple frame decoding is required, if this property is set to more than one then the toolkit decodes each frame and the respective MAC level frame paratmeters are returned in an array.

Configure acquisition length such that the acquired waveform contains all the required frames for analysis.

The default value is 1.

Wi-SUN MR OFDM Analysis Handle In

Number of Frames or Bursts External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Pre Trigger Delay, Seconds.vi

Configures the PreTrigger Delay property of the Wi-SUN MR OFDM Signal Analysis handle, in seconds.

The toolkit computes the number of pretrigger samples based on the IQ Rate, Specifies the number of pretrigger samples—the samples acquired before the Reference Trigger is received—to be acquired per record.

The default value is 10 microseconds.

Wi-SUN MR OFDM Analysis Handle In

PreTrigger Delay, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Reset PER Measurement.vi

Configures the Reset PER Measurement property in the ZigBee OQPSK Signal Analysis handle. If this property is set to True the toolkit internal resets the Number of Packets Received and Number of Packet Errors to 0.

To measure PER measurement continuously set this property to True only in the first iteration. The default value is True.

Wi-SUN MR OFDM Analysis Handle In

Reset PER measurement?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set SEM Frequency Offsets.vi

Wi-SUN MR OFDM Analysis Handle In

SEM Frequency Offsets

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set SEM Power Offsets.vi

Wi-SUN MR OFDM Analysis Handle In

SEM Power Offsets (dB)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set SEM Reference Level Type.vi

Wi-SUN MR OFDM Analysis Handle In

SEM Reference Level Type

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set Weighting Mode.vi

Wi-SUN MR OFDM Analysis Handle In

Weighting Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the Wi-SUN MR OFDM Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

Wi-SUN OFDM Generation Handle

Wi-SUN OFDM Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

PAPR

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM Save Waveform in File.vi

This VI performs the following:

(i) Checks the configuration parameters in Wi-SUN MR OFDMsignal generation handle and returns an error if the configuration is not valid.
(ii) Computes the waveform size and returns it to the user.
(iii) Creates the waveform as per the configured parameters.
(iv) Writes the created waveform in the file as per the waveform file path location configured by the user.

Wi-SUN OFDM Generation Handle In

Wi-SUN OFDM Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Close Handle.vi

Closes the Wi-SUN MR OFDM Signal Generation handle and resources associated with it.

Wi-SUN OFDM Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Get PAPR.vi

This VI returns the PAPR.

Wi-SUN MR OFDM Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Generation Handle Out

PAPR Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Multipath Channel Enabled.vi

This VI Configures Multipath Channel Enabled

Wi-SUN OFDM Generation Handle In

Mutlipath Channel

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Multipath Delay in Microseconds.vi

This VI Configures Multipath Delay in Microseconds

Wi-SUN OFDM Generation Handle In

Path Delay, mico seconds

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Multipath Gain in dB.vi

This VI configures Multipath Gain in dB

Wi-SUN OFDM Generation Handle In

Path Gain, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Multipath Phase in Radians.vi

This VI configures Multipath Phase in Radians

Wi-SUN OFDM Generation Handle In

Path Phase, radians

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Open Handle.vi

This VI creates Wi-SUN MR OFDM Generation Handle with the default values and passes the handle to the later VIs.

Name Of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Read Waveform From File.vi

This VI Reads the IQ values from the file path

File Refnum

Count

Sample width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out

Array

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Addressing Fields.vi

Configures the Destination and Source PAN Identifier and MAC Address properties in the Wi-SUN MR OFDM Signal Generation handle.

The Destination PAN Identifier field specifies the unique PAN identifier of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast PAN identifier.

The Destination Address field specifies the address of the intended recipient of the frame. A value of 0xffff in this field shall represent the broadcast short address. This field shall be included in the MAC frame only if the Destination Addressing Mode field is nonzero.

The Source PAN Identifier field specifies the unique PAN identifier of the originator of the frame.

The Source Address field specifies the address of the originator of the frame. This field shall be included in the MAC frame only if the Source Addressing Mode field is nonzero.

Wi-SUN OFDM Generation Handle In

Destination PAN Identifier

Destination MAC Address

Source PAN Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Source MAC Address

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Association Request.vi

This VI configures the Association Request property in the Wi-SUN MR OFDM signal generation handle.
The Association Request command contains information defining the device type, power source, receiver on when idle, security capability and allocate address.
Association Request allows to send a request to make a association with a PAN through the PAN coordinator or a coordinator.

The valid values are

Device type:
0 - Reduced function device.
1 - Full Function Device

Power source:
0 - AC mains.
1 - Not From AC Mains

Receiver on when idle:
0 - False
1 - True

Security capability:
0 - Disabled
1 - Enabled

Allocate address :
0 - False
1 - True

The default values.
Device type - Full Function Device.
Power source - AC mains.
Receiver on when idle - True.
Security capability - Disabled.
Allocate address - True.

Wi-SUN OFDM Generation Handle In

Association Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Association Response.vi

This VI configures the Association Response property in the Wi-SUN MR OFDM signal generation handle.
The Association Response command contains information defining the short address and association status.
Association Response allows PAN coordinator or a coordinator to communicate the results of an association attempt back to the device requesting association.

The valid values are
Short address : 0000 to FFFF
Association status:
0 - Association successful
1 - PAN at capacity
2 - PAN access denied.
3 - Reserved for MAC primitive enumeration values

The default values.
Short address - ABCD
Association status - Association successful.

Wi-SUN OFDM Generation Handle In

Association Response

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Command Frame Identifier.vi

This VI configures the Command Frame Identifier property in the Wi-SUN MR OFDM signal generation handle. The Command Frame Identifier field identifies the MAC command being used.

The valid values are

0 - Association Request
1 - Association Response
2 - Disassociation Notification
3 - Data Request
4 - PAN ID Conflict Notification
5 - Orphan notification
6 - Beacon request
7 - Coordinator realignment
8 - GTS request
9 - Reserved

The default value is Association Request.

Wi-SUN OFDM Generation Handle In

Command Frame Identifier

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Coordinator Realignment.vi

This VI configures the Coordinator Realignment property in the Wi-SUN MR OFDM signal generation handle.The Coordinator Realignment command contains information defining the realignment command, PAN identifier, coordinator short address, channel number, short address and channel page .
If this Coordinator Realignment command is sent following the reception of an orphan notification command, it is sent directly to the orphaned device. If this command is sent when any PAN configuration attributes (i.e., PAN identifier, short address, channel, or channel page) change, it is broadcast to the PAN.

The valid values are
Realignment command :
0 - Broadcast to the PAN
1 - Sent to orphaned device

PAN identifier : 0000 to FFFF

Coordinator short address : 0000 to FFFF

Channel number : 0 to 255

Short address : 0000 to FFFF

Channel page : 0 to 255

The default values.

Realignment command - Broadcast to the PAN
PAN identifier - ABCD
Coordinator short address - AABB
Channel number - 1
Short address - AACC
Channel page - 1

Wi-SUN OFDM Generation Handle In

Coordinator Realignment

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Data Configuration.vi

This VI configures the Modulation and Coding Scheme for PHY Header and Data Symbols. It also configures the scrambling Seed. The possible Modulation and Coding Schemes are
BPSK 1/2 Rate 4x (4x frequency spreading)
BPSK 1/2 Rate 2x (2x frequency spreading)
QPSK 1/2 Rate 2x (2x frequency spreading)
QPSK 1/2 Rate (No frequency spreading)
QPSK 3/4 Rate (No frequency spreading)
16 QAM 1/2 Rate (No frequency spreading)
16 QAM 3/4 Rate (No frequency spreading)

Wi-SUN OFDM Generation Handle In

Modulator Configuration

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set DFT Size.vi

This Vi Configures the DFT Size. The possible DFT sizes are 128, 64, 32, 16

Wi-SUN OFDM Generation Handle In

DFT Size

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Disassociation Notification.vi

This VI configures the Disassociation Notification property in the Wi-SUN MR OFDM signal generation handle.
The PAN coordinator, a coordinator, or an associated device may send the disassociate notification command.

The valid values are
0 - Reserved.
1 - The coordinator wishes the device to leave the PAN.
2 - The device wishes to leave the PAN.
3 - Reserved for MAC primitive enumeration values.

The default value is The coordinator wishes the device to leave the PAN.

Disassociation Reason?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle

Wi-SUN OFDM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Frame Cotrol Fields.vi

Configures the MAC Frame Control Fields properties in the Wi-SUN MR OFDM Signal Generation Handle. The Frame Control field contains information defining the frame type, addressing fields, and other control flags.

For more information about the Frame control fields please refer section 5.2.1.1 of the IEEE standard 802.15.4.

Wi-SUN OFDM Generation Handle In

Frame Control Fields

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set GTS Request.vi

This VI configures the GTS Request property in the Wi-SUN MR OFDM signal generation handle.
The GTS Request command contains information defining the GTS length(in slots),GTS direction and GTS characteristics type.
GTS Request command is used by an associated device that is requesting the allocation of a new GTS or the deallocation of an existing GTS from the PAN coordinator.

The valid value are
GTS length(in slots) : 1 to 255

GTS direction :
0 - Tx only GTS
1 - Rx only GTS

GTS characteristics type:
0 - GTS deallocation
1- GTS allocation

The default values.
GTS length(in slots) - 1
GTS direction - Tx only GTS
GTS characteristics type - GTS deallocation

Wi-SUN OFDM Generation Handle In

GTS Request

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Headroom,dB.vi

This VI configures the Head room property in the Wi-SUN MR OFDM Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 3 dB.

Wi-SUN OFDM Generation Handle In

Headroom, dB Specifies the Headroom in dB. The toolkit uses this value for scaling the wave form. If the PAPR of the signal is higher than the Head Room value then the toollkit clips the signal.To avoid clipping the Head Room value should be higher than the PAPR of the signal.

The default value is 12 dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Impairment Configuration.vi

Configures the Impairment properties for the Wi-SUN MR OFDM Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

Wi-SUN OFDM Generation Handle In

Impairments Specifies the Impairments Configuration parameters.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Inter Frame Spacing.vi

Configures the Inter Frame Spacing property in the Wi-SUN MR OFDM Signal Generation handle. This property specifies the gap duration in seconds between the frames.

The default value is 0.0001.

Wi-SUN OFDM Generation Handle In

Inter Frame Spacing (Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set MAC Framing Enabled.vi

Configures the MAC Framing Enabled field in the Wi-SUN MR OFDM Signal Generation Handle.

If this property is set to true then the toolkit adds MAC layer headers and then creates payload for the physical layer

The default value is False.

Wi-SUN OFDM Generation Handle In

MAC Framing Enabled

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Number of Frames.vi

This VI configures the Number of Frames property in the Wi-SUN MR OFDM signal generation handle. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The valid value should be greater than 0.

The default value is 1.

Wi-SUN OFDM Generation Handle In

Number of Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of theWi-SUN MR OFDM Signal Generation handle.

The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

Wi-SUN OFDM Generation Handle In

Output Sampling Rate Specifies the Output Sampling Rate. The Default Sampling rate is 2.048 MSPS.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Output Waveform File Path.vi

The VI configures the file location for the Waveform File Path property in Wi-SUN MR OFDM Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye Wi-SUN MR OFDM RFSG Create and Save Waveform API VI is used for the wavefrom creation.

Wi-SUN OFDM Generation Handle In

Output Waveform File Path Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled? Property in the Wi-SUN MR OFDM signal generation handle. The valid value is either TRUE or FALSE.

The default value is FALSE.

Wi-SUN OFDM Generation Handle In

Oversampling Enabled? Specifies whether the Oversampling Property is enabled or not. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Payload Configuration.vi

This VI configures the Payload properties for the Wi-SUN MR OFDM Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

Wi-SUN OFDM Generation Handle In

Payload Control

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set phyOFDMInterleaving.vi

This VI configures the OFDM Interleaving Depth. A value of one indicates an interleaving depth of one symbol.
A value of SF Symbols indicates an interleaving depth of the number of symbols
equal to the frequency domain spreading factor (SF).

Wi-SUN OFDM Generation Handle In

Interleaving Depth

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the Wi-SUN MR OFDM Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

Wi-SUN OFDM Generation Handle In

Progress Bar Control RefNum Specifies the Progress Bar Control RefNum.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Sample width.vi

This VI configures the sample width.

Sample Width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle In

Wi-SUN OFDM Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Sequence Number.vi

Configures the Sequence Number field in the Wi-SUN MR OFDM Signal Generation Handle.

The Sequence Number field specifies the sequence identifier for the frame. For a beacon frame, the Sequence Number field shall specify a BSN (Beacon Sequence Number). For a data, acknowledgment, or MAC command frame, the Sequence Number field shall specify a DSN (Data Sequence Number) that is used to match an acknowledgment frame to the data or MAC command frame.

The default value is 0.

Wi-SUN OFDM Generation Handle In

Sequence Number

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Superframe Specification.vi

Configures the Beacon Order and Superframe Order properties in the Wi-SUN MR OFDM Signal Generation Handle. The Beacon Order field shall specify the transmission interval of the beacon. The Superframe Order field shall specify the length of time during which the superframe is active.

For more information about Beacon Order and Super Frame Order properties, please refer section 5.1.1.1 and 5.2.2.1 of the IEEE 802.15.4 2011 standard.

Wi-SUN MR OFDM Generation Handle In

Beacon Order

Superframe Order

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN RFSA Configure Hardware.vi

Configures the following properties in the NI RFSA hardware for demodulation measurements

i. Configures the NI RFSA Acquisition Type to IQ
ii. Configures the NI RFSA Number of Records property to Number of Averages value configured by the user.
iii. Configures Number of Records Is Finite to TRUE.
iv. Configures the NI RFSA IQ Rate property to the reciprocal of the elementary period.
v. Configures the NI RFSA trigger settings based on the PreTrigger Delay and Minimum Quite Time values.
vi. Configures the NI RFSA Number of Samples property based on the Acquisition Length and IQ Rate.

instrument handle

Wi-SUN Analyzer Params

Wi-SUN Analyzer Params

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

instrument handle out

number of samples

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye Wi-SUN MR OFDM SA Set Number of Symbols.vi

Configures the Number of Symbols property in the Wi-SUN MR OFDM Signal Analysis handle.

The toolkit uses this property to compute the the demodulation measurements such as EVM, MER etc., The default value is 1000.

Wi-SUN MR OFDM Analysis Handle In

Number of Symbols External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SA Set SEM Reference Power Level.vi

Wi-SUN MR OFDM Analysis Handle In

SEM Reference Power Level

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN MR OFDM Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Configure Channel Number.vi

This VI computes the carrier frequency from the channel number.

Carrier Frequency (Hz) Choose the desired Carrier Frequency from the list or user can configure any frequency

Carrier Frequency


MaxEye Wi-SUN MR OFDM SG Set Power Ramp Up And Down Time.vi

Configures the value for the Power Ramp Up And Down Time property, in seconds in the ZigBee OQPSK Signal Generation handle.

The Power Ramp Up Time property specifies the time duration during which the signal power gradually increases to the full value from zero.
The default value is 5us.

The Power Down Time property specifies the time duration during which the signal power gradually reduces from the full value to close to zero.
The default value is 5us.

Wi-SUN OFDM Generation Handle In

Power Ramp Up Time (Seconds) Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

Power Ramp Down Time(Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN OFDM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM SG Set Samples Per Chip.vi

Configures the Samples Per Chip property in the ZigBee OQPSK Signal Generation handle. The sampling rate of the generated waveform equals to the Samples Per Chip multiplied by the Chip Rate.

The default value is 20.

Wi-SUN OFDM Generation Handle In

Samples Per Chip

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Wi-SUN ODM Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Wi-SUN MR OFDM USRP Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the ZigBee OQPSK Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the waveform as per the configured parameters.
iv. Writes the created waveform in the USRP on board memory.

session handle session handle identifies your instrument session.

ZigBee OQPSK Generation Handle

ZigBee OQPSK Generation Handle

Stop Generation

timeout timeout specifies the time to wait, in seconds, before returning an error if the requested number of samples have not been generated.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

session handle out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.